Loading...
Searching...
No Matches
PenningTrapTest Class Reference

Test class for the Penning trap. More...

## Public Member Functions

void | test_external_E_field ()
| Test that the external E field gives correct values.
void | test_external_B_field ()
| Test that the external B field gives correct values.
void | test_force_on_particle ()
| Test that the force between particles gives expected results.
void | test_total_force_external ()
| Test that the total external force returns expected results.
void | test_total_force_particles ()
| Test that the total force of all particles on a single particle returns expected results.

## Detailed Description

Test class for the Penning trap.

Definition at line 23 of file test_suite.cpp.

## Member Function Documentation

## test_external_B_field()

void PenningTrapTest::test_external_B_field | ( |  | ) |

inline

Test that the external B field gives correct values.

Definition at line 66 of file test_suite.cpp.

## test_external_E_field()

void PenningTrapTest::test_external_E_field | ( |  | ) |

inline

Test that the external E field gives correct values.

Definition at line 28 of file test_suite.cpp.

## test_force_on_particle()

void PenningTrapTest::test_force_on_particle | ( |  | ) |

inline

Test that the force between particles gives expected results.

Definition at line 80 of file test_suite.cpp.

## test_total_force_external()

void PenningTrapTest::test_total_force_external | ( |  | ) |

inline

Test that the total external force returns expected results.

Definition at line 107 of file test_suite.cpp.

## test_total_force_particles()

void PenningTrapTest::test_total_force_particles | ( |  | ) |

inline

Test that the total force of all particles on a single particle returns expected results.

Definition at line 122 of file test_suite.cpp.

The documentation for this class was generated from the following file:

- src/test_suite.cpp